## grml-vpn 0.15

=== Makefile ===
install_ = install
name_ = grml-vpn

etc = ${DESTDIR}/etc/
usr = ${DESTDIR}/usr
usrbin = $(usr)/bin
usrsbin = $(usr)/sbin
usrshare = $(usr)/share/$(name_)
usrdoc = $(usr)/share/doc/$(name_)
man8 = $(usr)/share/man/man8/


%.html : %.txt ;
	asciidoc -b xhtml11 $^

%.gz : %.txt ;
	asciidoc -d manpage -b docbook $^
	sed -i 's/<emphasis role="strong">/<emphasis role="bold">/g' `echo $^ |sed -e 's/.txt/.xml/'`
	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl `echo $^ |sed -e 's/.txt/.xml/'`
	gzip -f --best `echo $^ |sed -e 's/.txt//'`


all: doc

doc: doc_man doc_html

doc_html: $(name_).8.html
grml-vpn.8.html: $(name_).8.txt

doc_man: $(name_).8.gz
grml-vpn.8.gz: $(name_).8.txt


install: all
	$(install_) -d -m 755 $(usrdoc)
	$(install_) -m 644 TODO $(usrdoc)
	$(install_) -m 644 $(name_).8.html $(usrdoc)

	$(install_) -d -m 755 $(man8)
	$(install_) -m 644 $(name_).8.gz $(man8)

	$(install_) -m 755 -d $(usrsbin)
	$(install_) -m 755 $(name_) $(usrsbin)

clean:
	rm -rf $(name_).8.html $(name_).8.xml $(name_).8 $(name_).8.gz

=== debian/changelog ===
grml-vpn (0.15) unstable; urgency=low

  * few typo fixes and message corrections 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Fri,  7 Apr 2006 00:15:25 +0200

grml-vpn (0.14) unstable; urgency=low

  * few small fixes 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Thu,  2 Feb 2006 17:05:15 +0100

grml-vpn (0.13) unstable; urgency=low

  * fixed small problem with spaces in command line args
  * make debug through DEBUG var work
  * Makefile fixes
  * added fakeroot example for user only usage to manpage
  * added bc to dependencies in debian/control

 -- Michael Gebetsroither <michael.geb@gmx.at>  Wed, 18 Jan 2006 01:12:54 +0100

grml-vpn (0.12) unstable; urgency=low

  * changed dependency to grml-shlib

 -- Michael Gebetsroither <michael.geb@gmx.at>  Fri, 11 Nov 2005 20:09:31 +0100

grml-vpn (0.11) unstable; urgency=low

  * make grml-vpn -h/help work as normal user also
  * adding logic to guess users ip if not given

 -- Michael Gebetsroither <michael.geb@gmx.at>  Tue,  8 Nov 2005 19:17:13 +0100

grml-vpn (0.10) unstable; urgency=low

  * a few fixes
  * adjusted usage examples in grml-vpn help 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Mon,  7 Nov 2005 12:33:51 +0100

grml-vpn (0.09) unstable; urgency=low

  * new working version

 -- Michael Gebetsroither <michael.geb@gmx.at>  Wed, 12 Oct 2005 16:08:36 +0200

grml-vpn (0.08) unstable; urgency=low

  * a few manpage fixes (thx to mika)
  * fixed false prog_name from change to zsh
  * added usage example to -h/help
  * changed manpage to asciidoc (no more nroff, NEVER)
  * updated build dependencies (sorry, are quite heavy now)
  * fixed dir layout 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Sat,  8 Oct 2005 18:21:21 +0200

grml-vpn (0.07) unstable; urgency=low

  * added manpage fixes
  * added TODO (for future features)

 -- Michael Gebetsroither <michael.geb@gmx.at>  Mon,  3 Oct 2005 21:50:45 +0200

grml-vpn (0.06) unstable; urgency=low

  * manpage added
  * added fix in key lenght check 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Mon,  3 Oct 2005 15:18:07 +0200

grml-vpn (0.05) unstable; urgency=low

  * zsh compatibility fix

 -- Michael Gebetsroither <michael.geb@gmx.at>  Mon,  3 Oct 2005 11:16:43 +0200

grml-vpn (0.04) unstable; urgency=low

  * added fix for reading ips from cmd and vpn with only 2 computers (special
    case without -a)

 -- Michael Gebetsroither <michael.geb@gmx.at>  Thu, 29 Sep 2005 21:01:16 +0200

grml-vpn (0.03) unstable; urgency=low

  * added fix for vpns >2 computers (problems with SPI)
  * make grml-vpn zsh only, sorry, but bash could not count! 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Thu, 29 Sep 2005 18:48:53 +0200

grml-vpn (0.02) unstable; urgency=low

  * added options for different ciphers (-e)
  * regular expression cipher name matching
  * added option for key length (-b)
  * generic checks if a keylenght is supported by a specific cipher
  * added option for shell output (standalone shellscript)
  * added option for raw key input (-K)

 -- Michael Gebetsroither <michael.geb@gmx.at>  Mon, 26 Sep 2005 04:05:09 +0200

grml-vpn (0.01) unstable; urgency=low

  * Initial Release.

 -- Michael Gebetsroither <michael.geb@gmx.at>  Sat, 24 Sep 2005 21:39:23 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: grml-vpn
Section: grml
Priority: optional
Maintainer: Michael Gebetsroither <gebi@grml.org>
Build-Depends: debhelper (>= 4.0.0), xsltproc, docbook-xsl, asciidoc
Standards-Version: 3.6.2

Package: grml-vpn
Architecture: all
Depends: grml-shlib (>=1.02.04), ipsec-tools, md5deep, zsh, bc
Description: program to establish encrypted communication channels in a network
 This program should provide an easy interface to setkey and ipsec on linux
 2.6. Good luck!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/grml-terminalserver.sgml > grml-terminalserver.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=debian/grml-vpn

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman grml-vpn.8
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
